<?php

namespace Drupal\ip_anon\Tests;

use Drupal\simpletest\WebTestBase;

/**
 * Tests basic IP Anonymize functionality.
 *
 * @group IP Anonymize
 */
class IpAnonymizeTestCase extends WebTestBase {

  /**
   * Modules to enable.
   *
   * @var array
   */
  public static $modules = ['ip_anon', 'dblog'];

  /**
   * Basic tests for IP Anonymize module.
   */
  protected function testIpAnonymize() {
    $admin_user = $this->drupalCreateUser(['administer site configuration']);
    $this->drupalLogin($admin_user);

    $this->assertTrue($this->getIp());

    $config['policy'] = 1;
    $config['period_watchdog'] = 0;
    $this->drupalPostForm('admin/config/people/ip_anon', $config, t('Save configuration'));

    $this->cronRun();

    $this->assertFalse($this->getIp());
  }

  /**
   * Get IP address from watchdog table.
   */
  protected function getIp() {
    return db_select('watchdog', 'w')
      ->fields('w', ['hostname'])
      ->range(0, 1)
      ->execute()
      ->fetchField();
  }

}
